package tcpip

  1. Overview
  2. No Docs

Description

Tags

org:mirage

Published: 23 May 2017

Dependencies (25)

  1. io-page < "2.0.0"
  2. cstruct-lwt
  3. randomconv
  4. duration
  5. logs >= "0.6.0"
  6. lwt >= "2.7.0"
  7. fmt
  8. mirage-profile >= "0.5" & < "0.8.0"
  9. ipaddr >= "2.2.0" & < "3.0.0"
  10. mirage-time-lwt >= "1.0.0"
  11. mirage-protocols-lwt >= "1.1.0" & < "1.3.0"
  12. mirage-protocols >= "1.1.0" & < "1.3.0"
  13. mirage-stack-lwt >= "1.0.0" & < "1.2.0"
  14. mirage-clock-lwt >= "1.2.0"
  15. mirage-random >= "1.0.0" & < "1.2.0"
  16. mirage-clock >= "1.2.0" & < "3.0.0"
  17. mirage-net-lwt >= "1.0.0" & < "2.0.0"
  18. mirage-net >= "1.0.0" & < "2.0.0"
  19. ppx_tools
  20. cstruct >= "2.2.0" & < "3.4.0"
  21. rresult
  22. result
  23. ocamlbuild build
  24. ocamlfind build
  25. ocaml >= "4.02.3" & < "4.06.0"

Dev Dependencies (6)

  1. mirage-clock-unix with-test & >= "1.2.0" & < "2.0.0"
  2. pcap-format with-test
  3. ounit with-test
  4. alcotest with-test & >= "0.7.0"
  5. mirage-vnetif with-test & >= "0.4.0"
  6. mirage-flow with-test & >= "1.2.0" & < "2.0.0"

Used by (14)

  1. arp < "0.2.0"
  2. capnp-rpc-mirage < "0.8.0"
  3. caqti-mirage
  4. charrua-client < "0.9"
  5. charrua-core >= "0.5" & < "0.9"
  6. conduit = "0.10.0"
  7. frenetic >= "5.0.0" & < "5.0.5"
  8. mirage-conduit >= "2.0.0" & < "2.2.0"
  9. mirage-dns < "2.6.0"
  10. mirage-nat < "1.1.0"
  11. mirage-qubes-ipv4 < "0.6"
  12. mirage-www >= "1.1.0"
  13. packet >= "0.4.0"
  14. tftp

Conflicts (1)

  1. mirage-xen >= "6.0.0"